%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   MLDBM
%define modv   2.04
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl module to store hash structures
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/C/CH/CHORNY/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Alexandr Ciornii <alexchorny@gmail.com>
Provides:      perl(%{modn}) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
Requires:      perl(Data::Dumper) >= 2.08
BuildRequires: perl >= 5.4
BuildRequires: perl(Data::Dumper) >= 2.08
BuildRequires: perl(DB_File)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(FreezeThaw)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildArch:     noarch


%description
MLDBM serves as a transparent interface to any TIEHASH package that is
required to store arbitrary Perl data, including nested references. Thus
this module can be used for storing references and other arbitrary data
within DBM databases.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/%{modn}
%{perl_vendorlib}/%{modn}.pm
%{_mandir}/man3/*.3*


%changelog
* Thu Sep 09 2010 Peter Pramberger <peterpramb@member.fsf.org> - 2.04-1
- New version (2.04)

* Sun Nov 16 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.01-3
- Initial build
